Bug 251737 - security/vault: the title should always be set
Summary: security/vault: the title should always be set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-10 18:00 UTC by Brad Davis
Modified: 2020-12-17 21:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
patch (1.11 KB, patch)
2020-12-10 18:00 UTC, Brad Davis
no flags Details | Diff
updated patch (1.46 KB, patch)
2020-12-10 18:24 UTC, Brad Davis
no flags Details | Diff
patch (2.22 KB, patch)
2020-12-16 14:10 UTC, Brad Davis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Davis freebsd_committer 2020-12-10 18:00:04 UTC
Created attachment 220432 [details]
patch

.. not just when vault_syslog_output_enable is set to YES..
Comment 1 Brad Davis freebsd_committer 2020-12-10 18:24:19 UTC
Created attachment 220434 [details]
updated patch

Also update this comment.
Comment 2 Brad Davis freebsd_committer 2020-12-10 18:26:00 UTC
Also, what do you think about changing the default log level to 'notice' so that the when vault_syslog_output_enable="YES" log messages go to messages by default?  That would match up with what the other hashicorp ports do.
Comment 3 Brad Davis freebsd_committer 2020-12-11 14:26:41 UTC
Also I had to bump up memorylocked to 1G to get vault to start reliably:

 PID USERNAME    THR PRI NICE   SIZE    RES STATE    TIME    WCPU COMMAND
83687 vault         6  52    0   829M   244M uwait    0:00   0.02% vault
83686 vault         1  20    0    11M  2544K piperd   0:00   0.00% daemon

I am not sure if there is a better way to view the wired memory for a specific process..
Comment 4 Steve Wills freebsd_committer 2020-12-14 14:49:48 UTC
The patch looks fine, I'll try to commit it during the next update.

The default logging matches daemon(1), I think, and is part of the reason for this:

https://svnweb.freebsd.org/base/head/usr.sbin/newsyslog/newsyslog.conf?revision=352461&view=markup#l33

tho it hasn't hit stable or releases yet afaik. Until that happens, users should put that in themselves or adjust the logging for vault in rc.conf, imho. But I'm open to changing it if you really think it's worth it.

The mlock stuff is mentioned in the pkg-message, but maybe that's not sufficient?
Comment 5 Brad Davis freebsd_committer 2020-12-16 14:10:05 UTC
Created attachment 220619 [details]
patch

Do you mind if I commit this patch?

The daemon log file makes sense, but maybe we should make the change for now until that syslog change makes it into a -RELEASE?
Comment 6 Steve Wills freebsd_committer 2020-12-16 15:59:36 UTC
(In reply to Brad Davis from comment #5)
The memory used really depends on your use case I think, but I suppose it's OK. Changing the logging then changing it back sounds sub-optimal. Perhaps a pkg-message for that instead too?
Comment 7 Brad Davis freebsd_committer 2020-12-17 00:25:11 UTC
I have never used vault on this machine before, so it seems the memory usage to start for the first time has gone way up?

I updated the patch earlier so it doesn't change anything re: logging.
Comment 8 commit-hook freebsd_committer 2020-12-17 15:07:14 UTC
A commit references this bug:

Author: swills
Date: Thu Dec 17 15:06:28 UTC 2020
New revision: 558297
URL: https://svnweb.freebsd.org/changeset/ports/558297

Log:
  security/vault: update to 1.6.1 [1]

  While here, improve pkg-message and rc script [2]

  PR:		251737 [2]
  Submitted by:	brd [2]

Changes:
  head/security/vault/Makefile
  head/security/vault/distinfo
  head/security/vault/files/pkg-message.in
  head/security/vault/files/vault.in
Comment 9 Steve Wills freebsd_committer 2020-12-17 15:09:51 UTC
(In reply to Brad Davis from comment #7)
Committed. I'm not sure if the memory requirement went up or my testing with 256mb way back when I wrote that was just wrong. Thanks for the patch!
Comment 10 Brad Davis freebsd_committer 2020-12-17 18:49:16 UTC
Thanks Steve and thanks for updating to 1.6.1 so fast :)

Did you also create a VuXML entry?
Comment 11 commit-hook freebsd_committer 2020-12-17 21:10:53 UTC
A commit references this bug:

Author: swills
Date: Thu Dec 17 21:10:47 UTC 2020
New revision: 558330
URL: https://svnweb.freebsd.org/changeset/ports/558330

Log:
  MFH: r557185 r558297

  security/vault: update to 1.6.0

  security/vault: update to 1.6.1 [1]

  While here, improve pkg-message and rc script [2]

  PR:		251737 [2]
  Submitted by:	brd [2]
  Security:	cc1fd3da-b8fd-4f4d-a092-c38541c0f993
  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/security/vault/Makefile
  branches/2020Q4/security/vault/distinfo
  branches/2020Q4/security/vault/files/pkg-message.in
  branches/2020Q4/security/vault/files/vault.in